require 'spec_helper'

describe "Landing", :js => true, :type => :feature, :capybara_feature => true do

  subject { page }

  before(:all) do
    FactoryGirl.create(:artifact_update, :product => 'JamClient/Win32')
    FactoryGirl.create(:artifact_update, :product => 'JamClient/MacOSX')
  end

  let(:user) { FactoryGirl.create(:user) }

  before(:each) do
    UserMailer.deliveries.clear
    visit "/downloads"  # this is just a good, generic page that uses the landing layout

    find('h2.create-account-header')
  end

  it "footer links work" do
    first('#footer-links a', text: 'about').trigger(:click)
    page.within_window page.driver.window_handles.last do
      should have_selector('h1',    text: 'About Us')
    end
  end

end
